.calendar {
    max-width: 300px;
    padding: 12px;
    font-size: 14px;
    line-height: 20px;
    text-align: center;
    border-radius: 8px;
    border: 1px solid #E3E4E4;
    box-shadow: 0px 0px 0px 2px rgba(0, 0, 0, 0.15);

    .month {
        display: flex;
        justify-content: space-between;
        align-items: center;
        color: #003099;
        margin-bottom: 12px;
    }


    .days, .dates {
        display: grid;
        grid-row-gap: 2px;
        grid-column-gap: 2px;
        grid-template-columns: repeat(7, 1fr);
    }

    .days {
        color: #5D6570;
        margin-bottom: 10px;
    }

    .dates div {
        height: 36px;
        border-radius: 8px;
        display: flex;
        align-items: center;
        justify-content: center;
        border: 1px solid #E3E4E4;
    }

    /* Общий стиль для выпадающего списка */
    select {
        appearance: none; /* Убрать стандартный вид */
        outline: none; /* Убрать обводку при фокусе */
        padding: 8px 12px;
        border-radius: 8px;
        border: 1px solid #E3E4E4;
        font-size: 14px;
        background-color: white;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        margin: 0 5px; /* Отступы между элементами */
        cursor: pointer; /* Рука при наведении */
        transition: box-shadow 0.3s ease, border-color 0.3s ease;
    }

    select:hover {
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    }

    select:focus {
        border-color: #E3E4E4;
        box-shadow: 0 0 0 2px rgba(0, 123, 255, 0.25);
    }
    /* Стиль для стрелки выпадающего списка */
    select::-ms-expand {
        display: none;
    }

    select::after {
        content: '\25BC'; /* стрелка вниз */
        position: absolute;
        right: 10px;
        pointer-events: none;
    }

    .custom-select {
        position: relative;
        border: 1px solid #E3E4E4;
        border-radius: 8px;
        cursor: pointer;
        width: 200px;
    }

    .selected-option {
        padding: 10px;
    }

    .options {
        position: absolute;
        top: 100%;
        left: 0;
        border: 1px solid #E3E4E4;
        border-top: none;
        border-radius: 0 0 8px 8px;
        background-color: #fff;
        width: 100%;
        max-height: 150px;
        overflow-y: auto;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        z-index: 10;
    }

    .option {
        padding: 10px;
        transition: background-color 0.2s;
    }

    .option:hover {
        background-color: #DEEDFF;
    }

    button {
        padding: 0;
        color: #003099;
        background-color: #DEEDFF;
        border: none;
        text-align: center;
        text-decoration: none;
        font-size: 16px;
        margin: 2px 2px;
        cursor: pointer;
        border-radius: 4px;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 40px;
        height: 40px;

        &:hover {
            color: #fff;
            background: #003099;
        }
    }


    .selected {
        background-color: #003099;
        color: white;

        &.between {
            background-color: #003099;
            color: white;
        }
    }

    .between {
        color: #000;
        background-color: #99C7FF;
    }






    .year-selector, .month-selector {
        display: grid;
        gap: 10px;
    }

    .year-selector {
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(5, 1fr);
    }

    .month-selector {
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(4, 1fr);
    }

    .year-selector div, .month-selector div {
        border: 1px solid #DEEDFF;
        border-radius: 5px;
        padding: 10px;
        text-align: center;
        cursor: pointer;
        transition: background-color 0.2s;
    }

    .year-selector div:hover, .month-selector div:hover {
        background-color: #DEEDFF;
    }

}
